#!/bin/ksh


# This test performs the following tasks:
# Check that install-jbi-shared-library syntax errors are handled appropriately.
#

. ui_vars.ksh
. ui_functions.ksh
. ui4500_common.ksh

# variables
deterministic_output=deterministic.out
jdiff_results=jdiff_results.out
test_status=0
bogus_jar="${jbi_qe_root_dir}"/shasta/ui/bogus.jar
asadmin_cmd=asadmin

rm -f ${deterministic_output}
rm -f ${jdiff_results}


echo_error "install-jbi-shared-library commands with:"
# crap to be deleted.
run_common_bad_syntax_tests "list-components" 
#

run_common_bad_syntax_tests "install-jbi-shared-library" "${wsdl_library_installation_archive}"

echo_error "1. missing operand" 
${asadmin_cmd} install-jbi-shared-library ${common_cmd_options} >> ${deterministic_output} 2>&1

echo_error "2. non-existant installation archive"
${asadmin_cmd} install-jbi-shared-library ${common_cmd_options} grouperfishbogus.jar  >> ${deterministic_output} 2>&1

echo_error "3. invalid installation archive"
${asadmin_cmd} install-jbi-shared-library ${common_cmd_options} ${bogus_jar} >> ${deterministic_output} 2>&1


