echo "Setting variables from ${jbi_qe_root_dir}/shasta/ui/ui_vars.ksh ..."

# . ojc_defs.sh

# Set common variables for all tests
jbi_command_list="${jbi_qe_root_dir}/shasta/ui/jbi_cmd.list"
http_bpel_deploy_file="${jbi_qe_cmn_dir}/deploy/SynchronousSampleApplication.zip"
http_bpel_deploy_name="SynchronousSampleApplication"
bpel_deploy_file="${jbi_qe_cmn_dir}/deploy/SynchronousSampleService.zip"
bpel_deploy_name="SynchronousSampleService"
binding_component_install_file="${jbi_home_dir}/components/bindings/filebinding/installer/filebinding.jar"
binding_component_name="SunFileBinding"
service_engine_install_file="${jbi_home_dir}/components/engines/sequencingengine/installer/sequencingengine.jar"
service_engine_name="SunSequencingEngine"
binding_deployment_file="${jbi_qe_cmn_dir}/deploy/filedeploysol.zip"
binding_deployment_name="SunFileBinding_SAMPLE_SERVICE_ASSEMBLY"
service_deployment_file="${jbi_qe_cmn_dir}/deploy/seq-two-services.zip"
service_deployment_name="SEQ_ENGINE_TWO_SERVICE_TEST"
username_password="--user ${as_admin_user} --passwordfile ${as_password_file}"
username_password_short="-u ${as_admin_user} --passwordfile ${as_password_file}"
as_security="--secure=${jbi_secure}"
as_security_short="-s=${jbi_secure}"
interactive="--interactive=true"
interactive_short="-I=true"
noninteractive="--interactive=false"
noninteractive_short="-I=false"
target_default="--target=server"
asadmin_cmd="${as_install_dir}/bin/asadmin"
common_cmd_options="${username_password} --host=${as_host} --port=${as_admin_port} ${as_security} ${noninteractive}"
common_cmd_options_short="${username_password_short} -H=${as_host} -p=${as_admin_port} ${as_security_short} ${noninteractive_short}"
non_reqd_default_opts="--echo=false --terse=false"
non_reqd_default_opts_short="-e=false -t=false"

qe_sl_install_file="${jbi_qe_root_dir}/cmn/bld/jbi_qe_cmn_sl.jar"
qe_sl_name="cmn_qe.sl"
install_shared_library_default_opts="--upload=true ${target_default}"
deploy_install_component_default_opts="--upload=true ${target_default}"
un_deploy_install_default_opts="${target_default} --force=false"
un_deploy_install_default_opts_short="${target_default} -F=false"
shutdown_default_opts="${target_default} --force=false"
shutdown_default_opts_short="${target_default} -F=false"

export as_security
export ui_jbiadmin_as_security
export binding_component_install_file
export binding_component_name
export binding_deployment_file
export binding_deployment_name
export service_engine_install_file
export service_engine_name
export service_deployment_file
export service_deployment_name
export target_default
export username_password
export common_cmd_options
export common_cmd_options_short
export non_reqd_default_opts
export non_reqd_default_opts_short
export asadmin_cmd
export ui_jbiadmin_cmd
export ui_jbiadmin_cmd_echo
export qe_sl_install_file
export qe_sl_name
export install_shared_library_default_opts
export deploy_install_component_default_opts
export un_deploy_install_default_opts
export un_deploy_install_default_opts_short
export shutdown_default_opts
export shutdown_default_opts_short

# Additional set of common variables for some tests like ui3007, ui3307
binding_component_install_file2="${jbi_qe_tmp_dir}/ui/clone_binding.jar"
binding_component_name2=clone_binding_name
service_engine_install_file2="${jbi_home_dir}/components/engines/transformationengine/installer/transformationengine.jar"
service_engine_name2="SunTransformationEngine"
test_service_engine_file="${jbi_qe_tmp_dir}/testengine/installer/testengine.jar"
test_service_engine_name="TestEngine"
test_service_engine_file2="${jbi_qe_tmp_dir}/testengine2/installer/testengine2.jar"
test_service_engine_name2="TestEngine2"
service_deployment_file="${jbi_qe_cmn_dir}/deploy/seq-two-services.zip"
service_deployment_name="SEQ_ENGINE_TWO_SERVICE_TEST"

export binding_component_install_file2
export binding_component_name2
export service_engine_install_file2
export service_engine_name2
export test_service_engine_file
export test_service_engine_name
export test_service_engine_file2
export test_service_engine_name2
export service_deployment_file
export service_deployment_name
